package com.redxun.knowledge.album.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumYelp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
* 业务--专辑点评表数据库访问层
*/
@Mapper
public interface AlbumYelpMapper extends BaseDao<AlbumYelp> {


    /**
     * 根据专辑Id删除点评信息
     * @param ids
     */
    void deleteByAlbumId(String ids);

    /**
     * PC端分页查询一级点评信息(最多返回两条回复)
     * @param page
     * @param params
     * @param order
     * @return
     */
    IPage findAllYelpInfo(IPage page, @Param("params") Map<String, Object> params,@Param("w") Map<String, Object> order);
}
